2020-10-26 19:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003276AmericanGladiators[WHDLoad Installs Games] slavepublic2016-07-28 09:12
Reporterretrogamer 
Assigned ToStingRayProject InfoAmerican Gladiators (GameTek/Imagitec Design)
http://www.whdload.de/games/AmericanGladiators.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003276: Exception "Illegal Instruction" ($E010) at $26 occured after finishing the 2nd event
DescriptionGet an Exception "Illegal Instruction" ($E010) at $26 occured message every time
after finshing the 2nd event.

I even wonder if it is possible to add the manual to the game?

It can be found here http://www.lemonamiga.com/games/docs.php?id=68
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.1
imported
Attached Files
  • ? file icon .whdl_register (3,614 bytes) 2015-07-27 13:26 -
    ************************* 28-Jan-11 18:18:54 ************************18.1.5717***
    Slave='AmericanGladiators.Slave' (1824 bytes)
    ShadowMem   2BD508 -   2E4508 ( 159744) AbsolutMem    27000 -    80000 ( 364544)
    Resload     2AAF48 -   2B157C (  26164) at 2AAF48  GL=$2B5630
    Slave       23ABE0 -   23B2DC (   1788) at 23ABE0  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=20421 cs=50F2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Illegal Instruction" ($E010) at $26 occured.
    
    $ffffffee move.l       ($2a2a,a2),d5                  ;$0005483c
    $fffffff2 move.l       ($2a2a,a2),d5                  ;$0005483c
    $fffffff6 move.l       ($2a2a,a2),d5                  ;$0005483c
    $fffffffa move.l       ($2a2a,a2),d5                  ;$0005483c
    $fffffffe move.l       (0,a2),d5                      ;$00051e12
    $00000002 ori.b        #??0,d0
    $00000006 ori.b        #$2a,d1
    $0000000a exg          d6,a6
    $0000000c ori.b        #??$9e,($2a,a2)                ;$00051e3c
    $00000012 muls         ($2a,a4,d0.w),d6               ;$00005a02
    $00000016 muls         ($2a).w,d6
    $0000001a muls         #$2a,d6
    $0000001e and.b        d0,d7
    $00000020 ori.b        #??4,($2a,a2)                  ;$00051e3c
    1m$00000026 and.b        a0,d7
    22m$00000028 ori.b        #??$c,($2a,a2)                 ;$00051e3c
    $0000002e and.b        (a0),d7                        ;$00000010
    $00000030 ori.b        #??$14,($2a,a2)                ;$00051e3c
    $00000036 and.b        (a0)+,d7                       ;$00000010
    $00000038 ori.b        #??$1c,($2a,a2)                ;$00051e3c
    $0000003e and.b        -(a0),d7                       ;$00000010
    $00000040 ori.b        #??$24,($2a,a2)                ;$00051e3c
    $00000046 and.b        ($2a,a0),d7                    ;$0000003a
    $0000004a and.b        ($2a,a4),d7                    ;$00005a02
    $0000004e and.b        ($2a,a0,d0.w),d7               ;$0000003a
    $00000052 and.b        ($2a,a4,d0.w),d7               ;$00005a02
    $00000056 and.b        ($2a).w,d7
    $0000005a and.b        #$2a,d7
    $0000005e and.w        d0,d7
    
    exception stackframe:
    $0007FF9E 20080000 0026
    regular stack:
    $0007FFA4 0000328E 0000308C 0023ADC0 00001274 000011AA 00000004 00000000 0000001E
    $0007FFC4 00000000 00000081 00002920 00000000 00000001 00001252 000001A0 00000100
    $0007FFE4 0000011E 00000128 00006392 00005784 00000001 000010B0 0023AD0C
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0        80       E00       E00   2910010     10008     83208         0
    Ax       10     51E36     51E12      796E      59D8      41A6      418E
    
                     TTSM III   XNZVC
    PC=      2622m  SR %0010000000001000  USP=7FC00  1mSSP=7FF9E
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010000000001000022m dmacon=%1m0000011111101101 adkcon=$1100
    intreq=%0000011010000000
    vposr....A000  vhposr...04D5  joy0dat..0604  joy1dat..03FF  clxdat...83FE  
    pot0dat..D200  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...27FC  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000100022m  ta= 100< 100	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000122m  tb=1138<37EE	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=0111111022m  prb=1m1111111122m      pra=1m0000011122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=003349  icr=02  sdr=C0    event=3EB441  icr=00  sdr=00
    
    ? file icon .whdl_register (3,614 bytes) 2015-07-27 13:26 +

-Relationships
+Relationships

-Notes

note ~0005119

StingRay (developer)

Crash was caused by a major bug in the joystick handling and has been fixed, manual has been included too.
+Notes

-Issue History
Date Modified Username Field Change
2015-07-27 13:26 retrogamer New Issue
2015-07-27 13:26 retrogamer File Added: .whdl_register
2016-07-15 11:58 JOTD Assigned To => StingRay
2016-07-15 11:58 JOTD Status new => assigned
2016-07-28 09:11 StingRay Note Added: 0005119
2016-07-28 09:12 StingRay Status assigned => resolved
2016-07-28 09:12 StingRay Resolution open => fixed
+Issue History